from django.conf.urls.defaults import *
from datetime import date
from news.models import News
from news.settings import NEWS_ENABLE_VIEWS

if NEWS_ENABLE_VIEWS == True:
    urlpatterns = patterns('',
        url(r'^$', 'news.views.retrieve_news', {'category': 'news', 'paginate_by': 5 }, 'news-archive-list'),
    
        url(r'^archive/$', 'django.views.generic.date_based.archive_index', {
                                        'queryset' : News.active.all(),
                                        'date_field' : 'event_date',
                                        'allow_future': True,
                                        'template_name': 'news/news_archive_detail.html'
            }, 'news-archive-detail'),
    
        url(r'^year/(?P<year>\d+)/$', 'django.views.generic.date_based.archive_year', {
                                        'queryset' : News.objects.filter(status=1),
                                        'date_field' : 'event_date',
                                        'make_object_list': True,
                                        'allow_future': True
            }, 'news-year-list'),
    
    
        url(r'^month/(?P<year>\d+)/(?P<month>\d+)/$', 'django.views.generic.date_based.archive_month', {
                                        'queryset' : News.active.all().order_by("event_date"),
                                        'date_field' : 'event_date',
                                        'month_format' : "%m",
                                        'allow_future': True
            }, 'news-month-list'),
        url(r'^(?P<object_id>\d+)/$', 'news.views.news_detail', {}, 'news-detail'),
    )
else:
    urlpatterns = patterns('',
    url(r'^$', 'django.views.generic.date_based.archive_index', {
                                    'queryset' : News.active.all(),
                                    'date_field' : 'event_date',
                                    'allow_future': True
        }, 'news-archive-list'),

    url(r'^archive/$', 'django.views.generic.date_based.archive_index', {
                                    'queryset' : News.active.all(),
                                    'date_field' : 'event_date',
                                    'allow_future': True,
                                    'template_name': 'news/news_archive_detail.html'
        }, 'news-archive-detail'),

    url(r'^year/(?P<year>\d+)/$', 'django.views.generic.date_based.archive_year', {
                                    'queryset' : News.objects.filter(status=1),
                                    'date_field' : 'event_date',
                                    'make_object_list': True,
                                    'allow_future': True
        }, 'news-year-list'),


    url(r'^month/(?P<year>\d+)/(?P<month>\d+)/$', 'django.views.generic.date_based.archive_month', {
                                    'queryset' : News.active.all().order_by("event_date"),
                                    'date_field' : 'event_date',
                                    'month_format' : "%m",
                                    'allow_future': True
        }, 'news-month-list'),
    url(r'^(?P<object_id>\d+)/$', 'news.views.news_detail', {}, 'news-detail'),
)
